package com.tutego.insel.lang;

import java.io.*;
import java.util.Map;

public class ExecWithArguments
{
  public static void main( String[] args ) throws IOException
  {
    ProcessBuilder pb = new ProcessBuilder( "cmd" , "/c", "echo", "%JAVATUTOR%" );
    Map<String, String> env = pb.environment();
    env.put( "JAVATUTOR", "Christian Ullenboom" );

    Process p = pb.start();

    String s = new BufferedReader(new InputStreamReader(p.getInputStream())).readLine();
    System.out.println( s );
  }
}
